
QGIS Application - Bug report #15984

Colour bars in colour chooser UI are rendered with interleaved stripes

2016-12-14 05:57 PM - Nikolay Lebedev

Status: Closed

Priority: Normal

Assignee: Peter Petrik

Category: mac_os_specific

Affected QGIS version:3.5(master) Regression?: No

Operating System: OS X Easy fix?: Yes

Pull Request or Patch supplied:Yes Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23900

Description

I'm running QGIS master on OS X with hidpi retina display.

I don't know if it's related to resolution, but color bar gradients in color chooser UI are rendered as interleaved color stripes (screenshot

attached).

Guess it has something to do with display resolution.

Related issues:

Related to QGIS Application - Bug report # 17773: No Retina / HiDPI support i... Feedback 2018-01-02

Associated revisions

Revision 67f5022c - 2019-01-29 08:43 AM - Peter Petrik

fix #15984 color ramps on MacOS (#9009)

fix #15984 color ramps on MacOS

Revision 421fe45d - 2019-01-29 11:04 AM - Peter Petrik

fix #15984 color ramps on MacOS (#9009)

fix #15984 color ramps on MacOS

(cherry picked from commit 67f5022c083a57bbdfa7e5eac03d87c8fe95e185)

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#2 - 2017-11-23 09:54 AM - Nikolay Lebedev

- File Screen Shot 2017-11-23 at 11.53.39.png added

This also affects master.

Check the attached screenshot

#3 - 2018-01-24 08:33 PM - Jürgen Fischer
- Related to Bug report #17773: No Retina / HiDPI support in 2.99 on osx added

#4 - 2018-12-03 04:37 PM - Nikolay Lebedev

- File Screenshot 2018-12-03 at 18.37.47.png added

This issue is still present on 3.4.2

#5 - 2018-12-05 05:44 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.4.2

- Category changed from GUI to mac_os_specific

- Description updated

#6 - 2019-01-28 01:17 PM - Peter Petrik

- Affected QGIS version changed from 3.4.2 to 3.5(master)

- Assignee set to Peter Petrik

- Status changed from Open to In Progress

#7 - 2019-01-28 03:49 PM - Peter Petrik

- Pull Request or Patch supplied changed from No to Yes

- Resolution set to fixed/implemented

- Easy fix? changed from No to Yes

https://github.com/qgis/QGIS/pull/9009

#8 - 2019-01-29 08:42 AM - Peter Petrik

- % Done changed from 0 to 100

- Status changed from In Progress to Closed

Applied in changeset commit:qgis|67f5022c083a57bbdfa7e5eac03d87c8fe95e185.
